package com.ruoyi.web.work.mapper;

import com.ruoyi.web.work.domain.dto.StatisticsDto;
import io.lettuce.core.dynamic.annotation.Param;

import java.util.List;
import java.util.Map;


public interface CommonMapper {

    /**
     * 后台企业端每月交易金额统计
     *
     * @param companyId
     * @return
     */
    Map<String, Object> company(@Param("companyId") Long companyId);


    /**
     * 后台管理员端首页统计
     *
     * @return
     */
    Map<String, Object> admin();

    /**
     * 后台企业端每月交易金额统计
     *
     * @param dto
     * @return
     */
    List<Map<String, Object>> record(StatisticsDto dto);
}
